Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh

Xoay một đối tượng song song với 1 đối tượng khác.. ???


  • Please log in to reply
22 replies to this topic

#1 bachngoctung

bachngoctung

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 17 December 2008 - 12:10 AM

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:
  • 0

#2 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2062 Bài viết
Điểm đánh giá: 1311 (rất tốt)

Đã gửi 17 December 2008 - 07:14 AM

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Có cái này nhưng có 1 vài hạn chế:

Command: al
Initializing...
Select objects: Other corner: 1 found

Select objects:
Specify 1st source point:
Specify 1st destination point:
Specify 2nd source point:
Specify 2nd destination point:
Specify 3rd source point or <continue>:
Scale objects to alignment points? [Yes/No] <No>:

Nó xoay đối tượng xong thì move cái nì về chổ đối tượng mẫu lun, bạn phài move lại nó ra.
  • 1

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4254 Bài viết
Điểm đánh giá: 3746 (đỉnh cao)

Đã gửi 17 December 2008 - 08:01 AM

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Có 2 đoạn thẳng AB và CD không song song với nhau.
Xoay đường thẳng AB một góc sao cho đoạn thẳng AB song song với đoạn thẳng CD với điều kiện điểm gốc A giữ nguyên vị trí.
Bạn làm như sau :
Dùng lệnh copy đoạn thẳng CD với điểm gốc C về trùng với vị trí điểm gốc A, lúc này ta sẽ có được đoạn thẳng mới AD' song song với CD (C trùng với A).
Sau đó dùng lệnh AL (ALIGN) như bạn duy đã trình bày hoặc dùng lệnh Rotate (với lựa chọn Reference) để xoay AB về trùng với AD'. Sau đó dùng lệnh erase để xóa đoạn AD' đi. Kết quả ta sẽ có đoạn AB song song với đoạn CD
  • 2

#4 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1075 (rất tốt)

Đã gửi 17 December 2008 - 08:29 AM

Có 2 đoạn thẳng AB và CD không song song với nhau.
Xoay đường thẳng AB một góc sao cho đoạn thẳng AB song song với đoạn thẳng CD với điều kiện điểm gốc A giữ nguyên vị trí.
Bạn làm như sau :
Dùng lệnh copy đoạn thẳng CD với điểm gốc C về trùng với vị trí điểm gốc A, lúc này ta sẽ có được đoạn thẳng mới AD' song song với CD (C trùng với A).
Sau đó dùng lệnh AL (ALIGN) như bạn duy đã trình bày hoặc dùng lệnh Rotate (với lựa chọn Reference) để xoay AB về trùng với AD'. Sau đó dùng lệnh erase để xóa đoạn AD' đi. Kết quả ta sẽ có đoạn AB song song với đoạn CD

Không phải dài dòng như vậy! Lệnh rotate:
Object: AB
Base point: A
Chọn R (Reference), chọn A, chọn B
New angle: đặt OSNAP //, bật OTRACT ON
Rà chuột đến CD. Khi đã hiện ra dấu hiệu bắt dính // -> di chuyển chuột đến vị trí gần song song với CD -> xuất hiện đường chấm chấm -> click

Successful!
  • 0

#5 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2062 Bài viết
Điểm đánh giá: 1311 (rất tốt)

Đã gửi 17 December 2008 - 09:42 AM

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:


Ngoài cách của bác SSG thì còn giải pháp dùng lisp. Bạn laod file lisp này về
Hình đã gửi
Tên lệnh: ROSS
-Chọn đối tượng cần xoay (nhiều đối tượng củng được)
-Chọn điểm chuẩn thứ nhất (điềm này cũng chính là tâm xoay)
-Chọn điểm chuẩn thứ hai.
-Chọn điểm đích thứ nhất.
-Chọn điểm đích thứ hai.
Đối tượng sẽ được xoay quanh điểm chuẩn thứ nhât sao cho đoạn thẳng giả định điểm chuẩn thứ nhất, điểm chuẩn thứ hai và đoạn thẳng giả định điểm đích thứ nhất, điểm đích thứ hai là song song nhau.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#6 790312

790312

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 17 December 2008 - 09:49 AM

Có ai biết trong Cad có lệnh nào mà xoay một đối tượng song song với một đối tượng khác cho trước không? . Mình chỉ biết lệnh torient > lệnh này chỉ xoay được đối tượng là dạng text song song với đối tượng khác thôi, còn các dạng đối tượng khác như : đường thẳng , block ... thì chịu . Ai biết thì chỉ bảo nhe>> mình cám ơn nhiều :cheers:

Bạn biết lệnh tắt của torient là gì không và vào đâu để chỉnh lại theo ý mình?Chỉ cho mình với.Chân thành cảm ơn.
  • 0

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4254 Bài viết
Điểm đánh giá: 3746 (đỉnh cao)

Đã gửi 17 December 2008 - 10:00 AM

Bạn biết lệnh tắt của torient là gì không và vào đâu để chỉnh lại theo ý mình?Chỉ cho mình với.Chân thành cảm ơn.

Lệnh này nằm trong phụ trợ express. Nó chạy dưới dạng file lisp : acettxt.lsp. Bạn vào Express, kiếm file acettxt.lsp mà chỉnh lệnh tắt ở hàng
(defun c:torient
Chúc thành công. :cheers:
  • 0

#8 nani

nani

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 17 December 2008 - 11:00 AM

Ngoài cách của bác SSG thì còn giải pháp dùng lisp. Bạn laod file lisp này về
Hình đã gửi
Tên lệnh: ROSS
-Chọn đối tượng cần xoay (nhiều đối tượng củng được)
-Chọn điểm chuẩn thứ nhất (điềm này cũng chính là tâm xoay)
-Chọn điểm chuẩn thứ hai.
-Chọn điểm đích thứ nhất.
-Chọn điểm đích thứ hai.
Đối tượng sẽ được xoay quanh điểm chuẩn thứ nhât sao cho đoạn thẳng giả định điểm chuẩn thứ nhất, điểm chuẩn thứ hai và đoạn thẳng giả định điểm đích thứ nhất, điểm đích thứ hai là song song nhau.

lisp có vấn đề bác ơi, em lam toàn báo lỗi thôi. bác xem lại dùm e cái. thank
  • 0

#9 trungkien_hatangdothi

trungkien_hatangdothi

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 251 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 17 December 2008 - 11:15 AM

Lệnh này nằm trong phụ trợ express. Nó chạy dưới dạng file lisp : acettxt.lsp. Bạn vào Express, kiếm file acettxt.lsp mà chỉnh lệnh tắt ở hàng
(defun c:torient
Chúc thành công. :cheers:

Tìm File .Lsp đấy lâu lắm , bạn vào Express ==>Tool ==>Command aliasedit ==> chọn lệnh Torient rồi gán lệnh tắt ==> ok 2 cái .
  • 0
BUILD CAREER !


(Make life go to the dog..)


"Whenever I was in failure,I tried to overcome it & then to be SuccessFul man"

#10 790312

790312

    biết lệnh array

  • Members
  • PipPipPip
  • 182 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 17 December 2008 - 11:58 AM

Tìm File .Lsp đấy lâu lắm , bạn vào Express ==>Tool ==>Command aliasedit ==> chọn lệnh Torient rồi gán lệnh tắt ==> ok 2 cái .

Trong express không có lệnh torient bạn ơi.Bạn kiểm tra lại giùm mình nha.Thanks.
  • 0

#11 trungkien_hatangdothi

trungkien_hatangdothi

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 251 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 17 December 2008 - 12:22 PM

Trong express không có lệnh torient bạn ơi.Bạn kiểm tra lại giùm mình nha.Thanks.

Vậy là bạn chưa biết hết chức năng của Command aliasedit rồi .Trong bảng Alias Editor(Express ==>Tool ==>Command aliasedit )Bạn Click vào "Add" sau đó có 1 bảng nữa hiện ra, bạn đánh lệnh "torient" vào ô "AutoCad Command" sau đó đánh lệnh tắt vào ô "Alias" ở trên...ok==>ok==>ok.
  • 0
BUILD CAREER !


(Make life go to the dog..)


"Whenever I was in failure,I tried to overcome it & then to be SuccessFul man"

#12 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2062 Bài viết
Điểm đánh giá: 1311 (rất tốt)

Đã gửi 17 December 2008 - 01:43 PM

lisp có vấn đề bác ơi, em lam toàn báo lỗi thôi. bác xem lại dùm e cái. thank

Lạ nhỉ! Mình đã thử với cad14 và 2007 điều ổn cả. Bạn bị lổi như nào? copy các dòng báo lổi ném lên mình dòm tí!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#13 dinhhunggt

dinhhunggt

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 December 2008 - 12:05 AM

Mình tham gia diễn đàn có muộn quá ko nhỉ!
Mình vấn dùng cách này thấy có vẻ nhanh hơn, các bạn tham khảo nhé: đầu tiên dùng lệnh UCS chuyển hệ tọa độ theo hướng của phương đối tượng cần xoay. Sau đó dùng lệnh rotate kích vào 2 điểm của phương mình muốn xoay. Vậy là xong, đối tượng đã được xoay theo hướng như mong muốn.
  • 0

#14 bachngoctung

bachngoctung

    biết lệnh copy

  • Members
  • PipPipPip
  • 115 Bài viết
Điểm đánh giá: 11 (tàm tạm)

Đã gửi 21 December 2008 - 01:46 PM

Thanks mọi người đã quan tâm. Do mấy hôm nhà bị mất mạng nên cám ơn hơi muộn. Nhiều hướng dẫn hay quá > rất bổ ích
  • 0

#15 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5506 Bài viết
Điểm đánh giá: 2523 (tuyệt vời)

Đã gửi 06 July 2011 - 05:11 PM

Với 1 text thì biết ngay "đoạn thẳng giả định" tức biết góc xoay của text. Còn các đối tượng muôn hình muôn vẻ khác việc làm này rất trừu tượng, vậy nên việc bạn muốn gộp 2 lệnh với cùng 1 chức năng là cực cực khó.Có thể gộp torient vào lisp của bác DUy, chứ làm ngược lại thì ... ^^
  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5506 Bài viết
Điểm đánh giá: 2523 (tuyệt vời)

Đã gửi 06 July 2011 - 10:37 PM

Đúng là ý mình muốn gộp torient vào lisp của bác Duy mà. Mình muốn sau khi chạy lisp thì có thể xoay được cả text theo đường thẳng nữa. Lisp của bác Duy chỉ hỗ trợ cho đường thẳng hay block thôi. Nếu muốn xoay text theo đường thẳng lại rất khó thực hiện

Bạn cần nói rõ thực hiện kết hợp là kết hợp ra răng ??
  • 0

Thành viên nhóm CadMagic.

Mời bạn ghé thăm facebook nhóm  :

CAD MAGIC


#17 hoangtranlong

hoangtranlong

    biết vẽ polygon

  • Members
  • PipPip
  • 77 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 13 July 2011 - 08:37 PM

theo tôi thì chẳng cần dùng list làm gì.
Tôi thường dùng cách (hơi Nông văn dền) là để hai đối tượng giao nhau tại 1 điểm. Vẽ một cung tròn cắt hai đường cơ bản đó. dùng lệnh MI để MI đối tượng qua trục là điểm giữa cung và điểm giao nhau. sau đó MI lại lần nữa qua đường mới sẽ được kết quả.
À mà lệnh Torient là lệnh dùng để làm gì vậy nhỉ? chỉ tôi biết với
  • 1

#18 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2062 Bài viết
Điểm đánh giá: 1311 (rất tốt)

Đã gửi 14 July 2011 - 01:58 PM

Thanks ketxu đã quan tâm. Tôi muốn kết hợp tức là khi chạy lisp có thể áp dụng cho cả text nữa. Hiện tôi dùng lisp của bác Duy thì sau khi hỏi chọn điểm gốc thứ 2 là tôi không biết làm thế nào để chọn điểm thứ 2 sao cho điểm 1-2 song song với text (nếu text nằm nghiêng). Tuy nhiên sau khi tìm kiếm thì tôi đã có được lisp rot (cũng tìm trong cadviet) quay riêng cho text song song với 1 đuờng thẳng. Bác có thể giúp tôi lần nữa là ghép lisp rot với lisp ross của bác Duy để tôi chỉ dùng 1 lệnh và load 1 lisp thôi được k. Tôi đã thử làm mấy ngày hôm nay rồi mà k thực hiện được. Thanks bác nhiều.

(defun c:Rot(/ chon goc ts dem ten ) ;--------------Text rotate -----------------------
(prompt "\nChon doi tuong can quay: ")
(setq chon (ssget))
(if (= t (null chon)) (prompt "Ban chua chon doi tuong nao. Lenh ket thuc.")
(progn
(if (null goc) (setq goc 0)) 
(prompt "Nhap goc quay doi tuong [Nhap hai diem de xac dinh goc] ") 
(princ "<")(princ (angtos goc)) (princ ">: ")
(setq goc (getangle))
(setq ts (sslength chon))
(setq dem 0)
(while (< dem ts)
(progn
(setq ten (entget (ssname chon dem)))
(setq ten (subst (cons 50 goc) (assoc 50 ten) ten )) 
(entmod ten)
(setq dem (+ 1 dem))
)
)
)
)
(princ) 
)

Góp vào để load 1 lần thì dể nhưng để thực hiện 1 lệnh thì hơi khó vì nguyên tắc làm việc của 2 lệnh hơi khác.
-lệnh ross thì chọn 1 nhóm đối tượng, 2 điểm cơ sở. 2 điểm song song và thực hiện quay cả nhóm đối tượng đó 1 lần 1 tâm quay.
-Lệnh rot thì chọn 1 nhóm đối tượng (không biết bạn post code đũ không chứ đúng ra đối tượng chọn phải giới hạn trong kiểu text thôi). chọn hai điểm song song và thực hiện quay từng đôí tượng tại điểm chèn của chính nó.

*Nếu muốn thì có thể chỉnh lisp ross như sau:
-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-cool.png


#19 quan08

quan08

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 August 2011 - 09:40 PM

*Nếu muốn thì có thể chỉnh lisp ross như sau:
-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?

Lisp của bác rất hay,Nếu bác gộp như bác nói ở trên thì quá tuyệt.Mong bác bớt thời gian gộp lại giùm cho a e có cái dùng.Thanks.
  • 0

#20 quan08

quan08

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 August 2011 - 06:52 AM

*Nếu muốn thì có thể chỉnh lisp ross như sau:
-Nếu đối tượng được chọn toàn bộ là text thì làm như rot, nếu có lẩn đối tượng khác thì thực hiện như ross. Được không?

Bác duy dạo này không thấy trên diễn đàn,có bác nào có thể giúp gộp 2 lisp thành một để sử dụng 1 lệnh như bác duy nói.Chân thành cảm ơn trước.
  • 0